 <?php

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);

$_SESSION['database'] = $_GET['database'];

include 'conn.php';
include 'funciones.php';

$jsonData = array();
$jsonTempData = array();

/////////INICIO BUSCAR BOTONES INICIALES
///////// Se encarga de realizar una consulta en la tabla wind_pos donde se encuentra la descripcion de productos y
///////// familias de productos que se van a mostrar en los botones luego de hacer click en la opcion de menu POS
///////// Retornando el arreglo botones

$montoesql = "SELECT SUBSTRING(w_des_tecla,1,10) AS w_des_tecla,w_relac,w_id,w_des_vent,w_des_vent,w_relac,w_tipo,w_btcolor,w_fncolor,pr_imagen,w_id_order,
w_bt_prior, pr_gmodif,w_teclar,w_btcolorletra,trig_unic,auto_key,usermodify,useroption,syncprocesing from " . $_GET['database'] . ".wind_pos where w_tipo in (1,2) and w_id = 201";

$qur = $connection->query($montoesql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
//logs($montoesql);
    $json->datos = "true";

    while ($r = mysqli_fetch_assoc($qur)) {

        $jsonTempData = array();
        $jsonTempData['id'] = $r['w_relac'];
        $jsonTempData['w_id'] = utf8_encode($r['w_id']);
        $jsonTempData['w_des_vent'] = utf8_encode($r['w_des_vent']);
        $jsonTempData['w_des_tecla'] = utf8_encode($r['w_des_tecla']);
        $jsonTempData['w_relac'] = utf8_encode($r['w_relac']);
        $jsonTempData['w_tipo'] = $r['w_tipo'];
        $jsonTempData['w_btcolor'] = $r['w_btcolor'];
        $jsonTempData['w_fncolor'] = $r['w_fncolor'];
        $jsonTempData['pr_imagen'] = utf8_encode($r['pr_imagen']);
        $jsonTempData['w_id_order'] = $r['w_id_order'];
        $jsonTempData['w_bt_prior'] = $r['w_bt_prior'];
        $jsonTempData['pr_gmodif'] = $r['pr_gmodif'];
        $jsonTempData['w_teclar'] = utf8_encode($r['w_teclar']);
        $jsonTempData['w_btcolorletra'] = $r['w_btcolorletra'];
        $jsonTempData['trig_unic'] = utf8_encode($r['trig_unic']);
        $jsonTempData['auto_key'] = $r['auto_key'];
        $jsonTempData['usermodify'] = $r['usermodify'];
        $jsonTempData['useroption'] = $r['useroption'];
        $jsonTempData['syncprocesing'] = $r['syncprocesing'];

        $jsonData[] = $jsonTempData;
    }
}

$json->botones = $jsonData;

/////////
///////// FIN BOTONES INICIALES
/////////
/////////

////////INICIO SECUENCIA
//////// Crea la secuencia para generar el numero de factura y por este nro de secuencia
//////// relacionamos los productos que tiene pendiente el cliente
//////// Retorna el arreglo "secuencia" que contiene el nro que se mostrara en pantalla

$jsonData = array();
$jsonTempData = array();

$montoesql = "UPDATE " . $_GET['database'] . ".secuencia SET valor = valor + 1 WHERE id_secuencia = 1";

$qur = $connection->query($montoesql);

$montoesql = "SELECT * FROM " . $_GET['database'] . ".secuencia where id_secuencia = 1";

$qur = $connection->query($montoesql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
//logs($montoesql);
    $json->datos = "true";

    while ($r = mysqli_fetch_assoc($qur)) {

        $jsonTempData = array();
        $jsonTempData['nro_secuencia'] = sprintf('%09d', $r['valor']);

        $jsonData[] = $jsonTempData;
    }
}

$json->secuencia = $jsonData;

////////
//////// FIN SECUENCIA
////////

////////INICIO pack
////////
////////  BUscamos el paquete nro de paquete en la base de datos
////////

$jsonData = array();
$jsonTempData = array();

$montoesql = "SELECT pack FROM " . $_GET['database'] . ".secuencia where id_secuencia = 2";

$qur = $connection->query($montoesql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
//logs($montoesql);
    $json->datos = "true";

    while ($r = mysqli_fetch_assoc($qur)) {

        $jsonTempData = array();

        $jsonTempData['nro_pack'] = $r['pack'];

        $jsonData[] = $jsonTempData;
    }
}

$json->paquete = $jsonData;

////////
//////// FIN SECUENCIA
////////

print_r(json_encode($json));

//echo $_SESSION['codigo']."@".$_SESSION['costo']."@".$_SESSION['precio1']."@".$_SESSION['precio6']."@".$_SESSION['itbm']."@".$_SESSION['familia'];

$qur = null;
@mysqli_close($connection);
?>